OwnedRoleValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.values.OwnedRoleValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.values
Class OwnedRoleValue

    java.lang.Object
      org.hyperic.hq.authz.shared.RoleValue
          org.hyperic.hq.authz.values.OwnedRoleValue

All Implemented Interfaces:
  java.io.Serializable

    public class OwnedRoleValue

extends RoleValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.authz.shared.RoleValue
`addedOperationValues, removedOperationValues, updatedOperationValues`

Constructor Summary
`OwnedRoleValue()`
`OwnedRoleValue(Role parent)`

Method Summary
`int` | `getMemberCount()`
`AuthzSubject` | `getOwner()`
`void` | `setMemberCount(int count)`
`void` | `setOwner(AuthzSubject owner)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.authz.shared.RoleValue
`addOperationValue, cleanOperationValue, copyOperationValuesFrom, descriptionHasBeenSet, equals, getAddedOperationValues, getDescription, getId, getName, getOperationValues, getRemovedOperationValues, getSortName, getSystem, getUpdatedOperationValues, hashCode, hasIdentity, idHasBeenSet, isIdentical, nameHasBeenSet, removeAllOperationValues, removeOperationValue, setDescription, setId, setName, setSortName, setSystem, sortNameHasBeenSet, systemHasBeenSet, updateOperationValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OwnedRoleValue

    public OwnedRoleValue()

### OwnedRoleValue

    public OwnedRoleValue(Role parent)

Method Detail

### getMemberCount

    public int getMemberCount()

### setMemberCount

    public void setMemberCount(int count)

### getOwner

    public AuthzSubject getOwner()

### setOwner

    public void setOwner(AuthzSubject owner)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RoleValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.